Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4256 - setconsole broken
Summary: setconsole broken
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: setconsole
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-29 20:28 UTC by brownb
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-31 23:22:45 UTC


Attachments (Terms of Use)

Description brownb 1999-07-29 20:28:04 UTC
When I run "setconsole ttya" I get the following error
message:

/proc/openprom/options does not exist -- cannot setup
console

For hosts without displays that are
placed in machine rooms, it is
very important that one can bypass the network and connect
directly to their serial ports in order to reboot them when
they hang.  The setconsole script is a hack, but on Red Hat
5.1 it did work.  Now it seems to be broken.

Comment 1 Jeff Johnson 1999-07-29 20:49:59 UTC
I'm assuming that you're running on a sparc :-)

Can you verify whether openpromfs is loaded by typing lsmod? Here's
what I see:

[jbj@orleans jbj]$ lsmod
Module                  Size  Used by
openpromfs             11988   4  (autoclean)
ipip                    5964   2
nfsd                  153892   8  (autoclean)

If openpromfs is not loaded, you will need to load. Try
	insmod openpromfs

Comment 2 Jeff Johnson 1999-07-31 23:22:59 UTC
If you are running on an i386 platform, then setconsole is not
for you. You need to use lilo boot options to set the serial
parameters. Setconsole works only on sparcs.


Note You need to log in before you can comment on or make changes to this bug.